openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSDRD_SEL_DELETION_RFC:
    post:
      tags:
      - RSDRD
      operationId: /rfc/RSDRD_SEL_DELETION_RFC
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_AUTHORITY_CHECK:
                  type: string
                  default: RS_C_TRUE
                  maxLength: 1
                I_DATATARGET:
                  type: string
                  maxLength: 30
                I_DEL_ACTIV:
                  type: string
                  default: RS_C_TRUE
                  maxLength: 1
                I_DEL_CHANGE:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_DEL_UPDATE:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_MODE:
                  type: string
                  default: RSDRD_C_MODE-CHOOSE
                  maxLength: 1
                I_NO_COMMIT:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_NO_ENQUEUE:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_NO_LOGGING:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_PARALLEL_DEGREE:
                  type: integer
                  format: int32
                  default: 1
                I_SHOW_REPORT:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_THRESHOLD:
                  type: number
                  default: '0.1'
                I_THX_SEL:
                  type: array
                  items:
                    type: object
                    properties:
                      IOBJNM:
                        type: string
                        maxLength: 30
                        description: InfoObject
                      TS_NODES:
                        type: array
                        items:
                          type: integer
                          format: int32
                          description: Master data ID
                      T_RANGE:
                        type: array
                        items:
                          type: object
                          properties:
                            SIGN:
                              type: string
                              maxLength: 1
                              description: SIGN field in creation of SELECT-OPTIONS tables
                            OPTION:
                              type: string
                              maxLength: 2
                              description: Operator in Select Options and other Expressions
                            LOW:
                              type: string
                              maxLength: 60
                              description: 'Dim: Field for a User-Defined Characteristic Value'
                            HIGH:
                              type: string
                              maxLength: 60
                              description: 'Dim: Field for a User-Defined Characteristic Value'
                            SIDLOW:
                              type: integer
                              format: int32
                              description: Master data ID
                            SIDHIGH:
                              type: integer
                              format: int32
                              description: Master data ID
                            KEYFL:
                              type: string
                              maxLength: 1
                              description: Boolean
                I_TRANSACTIONAL_ODS:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
                I_WORK_ON_PARTITIONS:
                  type: string
                  default: RS_C_FALSE
                  maxLength: 1
              required:
              - I_DATATARGET
              - I_THX_SEL
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_T_MSG:
                    type: array
                    items:
                      type: object
                      properties:
                        MSGTY:
                          type: string
                          maxLength: 1
                          description: Message Type
                        MSGID:
                          type: string
                          maxLength: 20
                          description: Message Class
                        MSGNO:
                          type: integer
                          format: int64
                          description: Message Number
                        MSGV1:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MSGV2:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MSGV3:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MSGV4:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MSGV1_SRC:
                          type: string
                          maxLength: 15
                          description: 'Application Log: Origin of a message variable'
                        MSGV2_SRC:
                          type: string
                          maxLength: 15
                          description: 'Application Log: Origin of a message variable'
                        MSGV3_SRC:
                          type: string
                          maxLength: 15
                          description: 'Application Log: Origin of a message variable'
                        MSGV4_SRC:
                          type: string
                          maxLength: 15
                          description: 'Application Log: Origin of a message variable'
                        DETLEVEL:
                          type: string
                          maxLength: 1
                          description: 'Application Log: Level of detail'
                        PROBCLASS:
                          type: string
                          maxLength: 1
                          description: 'Application log: Message problem class'
                        ALSORT:
                          type: string
                          maxLength: 3
                          description: 'Application log: Sort criterion/grouping'
                        TIME_STMP:
                          type: integer
                          format: int64
                          description: 'Application Log: Message time stamp'
                        MSG_COUNT:
                          type: integer
                          format: int32
                          description: 'Application Log: Cumulated message count'
                        CONTEXT:
                          type: object
                          properties:
                            TABNAME:
                              type: string
                              maxLength: 30
                              description: 'Application Log: Context: DDIC structure name'
                            VALUE:
                              type: string
                              maxLength: 256
                              description: 'Application Log: Context data'
                        PARAMS:
                          type: object
                          properties:
                            CALLBACK:
                              type: object
                              properties:
                                USEREXITP:
                                  type: string
                                  maxLength: 40
                                  description: 'Application Log: Callback: Program name'
                                USEREXITF:
                                  type: string
                                  maxLength: 30
                                  description: 'Application Log: Callback: Routine name'
                                USEREXITT:
                                  type: string
                                  maxLength: 1
                                  description: 'Application Log: Callback: Type (Ext. Perform, FM, etc.)  enumValues: ""=External perform,F=Function module'
                                  enum:
                                  - ''
                                  - F
                            ALTEXT:
                              type: string
                              maxLength: 28
                              description: 'Application log: Standard text'
                            T_PAR:
                              type: array
                              items:
                                type: object
                                properties:
                                  PARNAME:
                                    type: string
                                    maxLength: 10
                                    description: 'Application log: Parameters'
                                  PARVALUE:
                                    type: string
                                    maxLength: 75
                                    description: 'Application log: Parameter value'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
